(function($) {
  
  Drupal.ImportantInformation = {};

  // Toggle the block display.
  Drupal.ImportantInformation.toggle_display = function(){
    $('#block-important-information-important-information .action-links .dismiss').show().click(function(){
      $('body').removeClass('has-important-information');
      $('#block-important-information-important-information').hide();
      $(window).resize();
    });
  }

  // Toggle the block display.
  Drupal.ImportantInformation.toggle_full_screen = function(){
    $('#block-important-information-important-information .action-links .full-screen').show().click(function(){
      if (!$('#important-information-block').attr('style')) {
        $('#important-information-block').attr('style','width: 100%; height: 100%; top: 0; left: 0;');
        $('body').addClass('important-information-full-screen');
      } else {
        $('#important-information-block').attr('style','');
        $('body').removeClass('important-information-full-screen');
      }
      $(window).resize();
    });
  }

  Drupal.behaviors.importantInformationModule = {
    attach: function(context, settings) {
      $('#block-important-information-important-information .action-links .dismiss', context).once('dismiss-important-information', function() {
        // Dismiss important information.
        if (settings.important_information.enable_dismiss == 1) {
          Drupal.ImportantInformation.toggle_display();
        }
      });
      $('#block-important-information-important-information .action-links .full-screen', context).once('full-screen-important-information', function() {
        // Full screen important information.
        if (settings.important_information.enable_full_screen == 1) {
          Drupal.ImportantInformation.toggle_full_screen();
        }
      });
    }
  };
  
  })(jQuery);
  