<?php

/**
 * @file
 * Important Information block template.
 *
 * The file renders the important information and the actions enabled in the
 * block configuration page.
 *
 * Available variables:
 *
 * - $title: The title of the section available for the user.
 * - $copy: The copy which appears within the important information
 * section.
 * - $position: The position CSS class of the block in the page.
 * - $mobile_position: The mobile position CSS class of the block in the page.
 */
?>
<?php if ($enable_dismiss == 1 || $enable_full_screen == 1) { ?>
  <div class="action-links">
    <?php if ($enable_dismiss == 1) { ?>
      <span class="dismiss" style="display:none;">x</span>
    <?php } ?>
    <?php if ($enable_full_screen == 1) { ?>
      <span class="full-screen" style="display:none;">+</span>
    <?php } ?>
  </div>
<?php } ?>
<div class="important-information <?php print $position; ?> mobile-<?php print $mobile_position; ?>" id="important-information-block">
  <?php if ($title != "") { ?>
    <h1 class="information-head"><?php print $title; ?></h1>
  <?php } ?>
  <div class="information-body"><?php print $body; ?></div>
</div>
